# DataExchange
TKSTEPBase
StepShape

# StepShape_HArray1OfConnectedEdgeSet Class Reference

`#include <StepShape_HArray1OfConnectedEdgeSet.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_HArray1OfConnectedEdgeSet (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepShape_HArray1OfConnectedEdgeSet (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepShape_ConnectedEdgeSet)&V)
Standard_EXPORT void | Init (const Handle(StepShape_ConnectedEdgeSet)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepShape_ConnectedEdgeSet)&Value)
const Handle_StepShape_ConnectedEdgeSet & | Value (const Standard_Integer Index) const
Handle_StepShape_ConnectedEdgeSet & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfConnectedEdgeSet & | Array1 () const
StepShape_Array1OfConnectedEdgeSet & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepShape_Array1OfConnectedEdgeSet | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_HArray1OfConnectedEdgeSet::StepShape_HArray1OfConnectedEdgeSet | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepShape_HArray1OfConnectedEdgeSet::StepShape_HArray1OfConnectedEdgeSet | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepShape_ConnectedEdgeSet)& | V
| ) |

## Member Function Documentation

const StepShape_Array1OfConnectedEdgeSet& StepShape_HArray1OfConnectedEdgeSet::Array1 | ( |  | ) | const

StepShape_Array1OfConnectedEdgeSet& StepShape_HArray1OfConnectedEdgeSet::ChangeArray1 | ( |  | ) |

Handle_StepShape_ConnectedEdgeSet& StepShape_HArray1OfConnectedEdgeSet::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepShape_HArray1OfConnectedEdgeSet::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_HArray1OfConnectedEdgeSet::Init | ( | const Handle(StepShape_ConnectedEdgeSet)& | V | ) |

Standard_Integer StepShape_HArray1OfConnectedEdgeSet::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfConnectedEdgeSet::Lower | ( |  | ) | const

void StepShape_HArray1OfConnectedEdgeSet::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepShape_ConnectedEdgeSet)& | Value
| ) |

Standard_Integer StepShape_HArray1OfConnectedEdgeSet::Upper | ( |  | ) | const

const Handle_StepShape_ConnectedEdgeSet& StepShape_HArray1OfConnectedEdgeSet::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepShape_Array1OfConnectedEdgeSet StepShape_HArray1OfConnectedEdgeSet::myArray `[private]`

The documentation for this class was generated from the following file:

- StepShape_HArray1OfConnectedEdgeSet.hxx